package cn.com.tenlion.systembase.pojo.model.school;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author 29492
 */
@ApiModel
public class SchoolModel {

    @ExcelProperty(index = 0)
    private String serialNumber;
    @ExcelProperty(index = 1)
    private String batchNumber;
    @ExcelProperty(index = 2)
    private String insertTime;
    @ExcelProperty(index = 3)
    private String md5Check;
    @ExcelProperty(index = 4)
    private String businessMd5;
    @ExcelProperty(index = 5)
    private String sliceNumber;
    @ExcelProperty(index = 6)
    private String recordStatus;
    @ExcelProperty(index = 7)
    private String handleStatus;
    @ExcelProperty(index = 8)
    private String schoolName;
    @ExcelProperty(index = 9)
    private String runningType;
    @ExcelProperty(index = 10)
    private String buildArea;
    @ExcelProperty(index = 11)
    private String schoolType;
    @ExcelProperty(index = 12)
    private String workersCount;
    @ExcelProperty(index = 13)
    private String schoolAddress;
    @ExcelProperty(index = 14)
    private String areaCode;
    @ExcelProperty(index = 15)
    private String areaName;
    @ExcelProperty(index = 16)
    private String area;

    String remake;
    private String runningTypeName;
    private String runningTypeCode;
    private String locationCode;
    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(String insertTime) {
        this.insertTime = insertTime;
    }

    public String getMd5Check() {
        return md5Check;
    }

    public void setMd5Check(String md5Check) {
        this.md5Check = md5Check;
    }

    public String getBusinessMd5() {
        return businessMd5;
    }

    public void setBusinessMd5(String businessMd5) {
        this.businessMd5 = businessMd5;
    }

    public String getSliceNumber() {
        return sliceNumber;
    }

    public void setSliceNumber(String sliceNumber) {
        this.sliceNumber = sliceNumber;
    }

    public String getRecordStatus() {
        return recordStatus;
    }

    public void setRecordStatus(String recordStatus) {
        this.recordStatus = recordStatus;
    }

    public String getHandleStatus() {
        return handleStatus;
    }

    public void setHandleStatus(String handleStatus) {
        this.handleStatus = handleStatus;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getRunningType() {
        return runningType;
    }

    public void setRunningType(String runningType) {
        this.runningType = runningType;
    }

    public String getBuildArea() {
        return buildArea;
    }

    public void setBuildArea(String buildArea) {
        this.buildArea = buildArea;
    }

    public String getSchoolType() {
        return schoolType;
    }

    public void setSchoolType(String schoolType) {
        this.schoolType = schoolType;
    }

    public String getWorkersCount() {
        return workersCount;
    }

    public void setWorkersCount(String workersCount) {
        this.workersCount = workersCount;
    }

    public String getSchoolAddress() {
        return schoolAddress;
    }

    public void setSchoolAddress(String schoolAddress) {
        this.schoolAddress = schoolAddress;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getRunningTypeName() {
        return runningTypeName;
    }

    public void setRunningTypeName(String runningTypeName) {
        this.runningTypeName = runningTypeName;
    }

    public String getRunningTypeCode() {
        return runningTypeCode;
    }

    public void setRunningTypeCode(String runningTypeCode) {
        this.runningTypeCode = runningTypeCode;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }
}
